# Bravais.jl

[![Documentation (stable)][docs-stable-img]][docs-stable-url] [![Documentation (dev)][docs-dev-img]][docs-dev-url] [![Build status][ci-status-img]][ci-status-url]

Tools for treating lattice bases, crystal systems, and Bravais types.

---

Bravais.jl is developed as a light-weight shared utility package for [Crystalline.jl](https://github.com/thchr/Crystalline.jl) and [Brillouin.jl](https://github.com/thchr/Brillouin.jl), intended to give access to a set of systematic conventions and tools related to point lattices as they arise in crystallography and space group theory.

See the associated [documentation][docs-dev-url] for a specification of available methods and public API.

## Citation

If you find this package useful in your reseach, consider citing our arXiv paper:

- T. Christensen, H.C. Po, J.D. Joannopoulos, & M. Soljačić, *Location and topology of the fundamental gap in photonic crystals*, [arXiv:2106.10267 (2021)](https://arxiv.org/abs/2106.10267)

[ci-status-img]:   https://github.com/thchr/Crystalline.jl/workflows/CI/badge.svg
[ci-status-url]:   https://github.com/thchr/Crystalline.jl/actions
[docs-dev-img]:    https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]:    https://thchr.github.io/Crystalline.jl/dev/bravais/
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://thchr.github.io/Crystalline.jl/stable/bravais/